This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 5018 - swap files not "swapoff"ed at halt
swap files not "swapoff"ed at halt
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-09 04:55 EDT by weejock-rhbug
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-09 10:37:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description weejock-rhbug 1999-09-09 04:55:32 EDT
I occasionally have to add extra swap to my desktop box,
so I do a:
# swapon /usr/local/swapfile
to get another 100Mb of swap.  Upon shutdown, the swapfile
isn't unused, so /usr and /usr/local can't be unmounted.

I think you need something like:
swapoff `cut -f1 -d\  /proc/swaps | tail +2`
after the "swapoff -a".  Either that, or swapoff needs to
check /proc/swaps, rather than /etc/fstab to find the list
of active swaps.

Cheers,
Matthew.
Comment 1 Bill Nottingham 1999-09-09 10:37:59 EDT
fixed in initscripts-4.38-2.

Note You need to log in before you can comment on or make changes to this bug.